Bug 43640

Summary: Move the tests package to JUnit
Product: Taglibs Reporter: Henri Yandell <bayard>
Component: Standard TaglibAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 1.1   
Target Milestone: ---   
Hardware: Other   
OS: other   

Description Henri Yandell 2007-10-16 23:04:30 UTC
There is a test package within the source tree that should be rewritten as JUnit
tests and moved into the tests tree.
Comment 1 Henri Yandell 2007-12-30 22:21:46 UTC
svn ci -m "Moving the JSTL main() 'tests' from the src tree to the test tree as
per #43640" src test

Deleting       src/org/apache/taglibs/standard/lang/jstl/test
Adding         test/org/apache/taglibs/standard/lang/jstl/test

Committed revision 607685.
Comment 2 Henri Yandell 2007-12-30 22:55:17 UTC
One down:

svn ci -m "Transferred one of the old tests over to JUnit - #43640"
test/org/apache/taglibs/standard/lang/jstl/test/StaticFunctionTests.java

Sending       
test/org/apache/taglibs/standard/lang/jstl/test/StaticFunctionTests.java
Transmitting file data .
Committed revision 607689.
Comment 3 Henri Yandell 2008-11-03 14:24:31 UTC
svn ci -m "Transferred the ParserTest and EvaluationTest over from the old code to JUnit. #43640. EvaluationTest fails currently - needs investigation but not an issue with the JUnit-izing. Currently turned off in the build. "

Sending        build-tests.xml
Sending        test/org/apache/taglibs/standard/lang/jstl/test/EvaluationTest.java
Sending        test/org/apache/taglibs/standard/lang/jstl/test/ParserTest.java
Sending        test/org/apache/taglibs/standard/lang/jstl/test/parserTests.txt
Transmitting file data ....
Committed revision 710191.
Comment 4 Henri Yandell 2008-11-07 10:12:23 UTC
Need to get the EvaluationTest passing before closing this.
Comment 5 Henri Yandell 2009-05-25 02:32:42 UTC
ParserTest failing since the move to JSTL 1.2.
Comment 6 Jeremy Boynes 2010-10-10 17:42:26 UTC
Fixed ParserTest by setting javax.servlet.jsp.functions.allowed property true (as per previous command line invocation)
Comment 7 Jeremy Boynes 2010-10-10 17:44:07 UTC
EvaluationTest failed on JDK1.5 because Boolean was changed to implement Comparable which changes the behaviour per section 1.8.1 of the EL specification
Comment 8 Jeremy Boynes 2010-10-10 17:45:02 UTC
Resolving as all tests now pass and none need to be excluded.